All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

*** This class provides Binary Compatibility only, not Source Compatibility ***

## com.sas.iom.orb
Class CP_IDConverter

    com.sas.iom.orb.CP_IDConverter

    @SASScope(value="ALL")
    @BinaryCompatibilityOnly
    public final class CP_IDConverter

A utility for converting between CP_IDs and Strings.

Method Summary
`static java.lang.String` | `cp_idToString(com.sas.iom.SASIOMDefs.CP_ID cpid)` Convert a CP_ID to a String.
`static boolean` | `equals(com.sas.iom.SASIOMDefs.CP_ID cp_id1, com.sas.iom.SASIOMDefs.CP_ID cp_id2)` Compares to `CP_ID` objects for equality.
`static com.sas.iom.SASIOMDefs.CP_ID` | `stringToCP_ID(java.lang.String str)` Convert a String to a CP_ID.

Method Detail

### cp_idToString

    public static java.lang.String cp_idToString(com.sas.iom.SASIOMDefs.CP_ID cpid)

  Convert a CP_ID to a String. The resulting String will have the format 11111111-2222-3333-4444-444444444444 where 11111111 will be a hex representation of Data1, 2222 will be a hex representation of Data2, and so on.

  Parameters:
    `cpid` - the CP_ID to convert
  Returns:
    a String representation of the CP_ID

### stringToCP_ID

    public static com.sas.iom.SASIOMDefs.CP_ID stringToCP_ID(java.lang.String str)

  Convert a String to a CP_ID. The input String should have the format 11111111-2222-3333-4444-444444444444 where 11111111 is a hex representation of Data1, 2222 is a hex representation of Data2, and so on. The input String can also begin with "DCE:".

  Parameters:
    `str` - the String to convert
  Returns:
    the CP_ID represented by the String

### equals

    public static boolean equals(com.sas.iom.SASIOMDefs.CP_ID cp_id1,
                                 com.sas.iom.SASIOMDefs.CP_ID cp_id2)

  Compares to `CP_ID` objects for equality. Two `CP_ID` objects are equal if all their fields are equal.

  Parameters:
    `cp_id1` - `CP_ID` object to compare
    `cp_id2` - `CP_ID` object to compare
  Returns:
    `true` if the two `CP_ID` objects are equal

*** This class provides Binary Compatibility only, not Source Compatibility ***

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.